This game requires Unity Webplayer. Please click the button below and install Unity Webplayer.

Unity Web Player. Install now!

Striker Superstars is compatible with Firefox, IE (not Edge), Safari.
Click here for details.